package com.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * Bean for statistic.
 *
 * @author Laurentiu Marcut
 */
public class Statistic {

    private List<String> labels;
    private List<Integer> burnedPoints;
    private List<BigDecimal> idealPoints;
    private int duration;
    private int capacity;
    private int members;
    private int planned;
    private int burned;
    private int remaining;
    private float idealVelocity;
    private float realVelocity;

    /**
     * Constructor.
     */
    public Statistic() {
        this.labels = new ArrayList<>();
        this.burnedPoints = new ArrayList<>();
        this.idealPoints = new ArrayList<>();
    }

    /**
     *
     * Getter labels.
     *
     * @return labels
     */
    public List<String> getLabels() {
        return labels;
    }

    /**
     *
     * Setter labels.
     *
     * @param labels
     */
    public void setLabels(List<String> labels) {
        this.labels = labels;
    }

    /**
     *
     * Getter burned points.
     *
     * @return burned points
     */
    public List<Integer> getBurnedPoints() {
        return burnedPoints;
    }

    /**
     *
     * Setter burned points.
     *
     * @param burnedPoints
     */
    public void setBurnedPoints(List<Integer> burnedPoints) {
        this.burnedPoints = burnedPoints;
    }

    /**
     *
     * Getter ideal points.
     *
     * @return ideal points
     */
    public List<BigDecimal> getIdealPoints() {
        return idealPoints;
    }

    /**
     *
     * Setter ideal points.
     *
     * @param idealPoints
     */
    public void setIdealPoints(List<BigDecimal> idealPoints) {
        this.idealPoints = idealPoints;
    }

    /**
     *
     * Getter duration.
     *
     * @return duration
     */
    public int getDuration() {
        return duration;
    }

    /**
     *
     * Setter duration.
     *
     * @param duration
     */
    public void setDuration(int duration) {
        this.duration = duration;
    }

    /**
     *
     * Getter capacity.
     *
     * @return capacity
     */
    public int getCapacity() {
        return capacity;
    }

    /**
     *
     * Setter capacity.
     *
     * @param capacity
     */
    public void setCapacity(int capacity) {
        this.capacity = capacity;
    }

    /**
     *
     * Getter members.
     *
     * @return members
     */
    public int getMembers() {
        return members;
    }

    /**
     *
     * Setter members.
     *
     * @param members
     */
    public void setMembers(int members) {
        this.members = members;
    }

    /**
     *
     * Getter planned.
     *
     * @return planned
     */
    public int getPlanned() {
        return planned;
    }

    /**
     *
     * Setter planned.
     *
     * @param planned
     */
    public void setPlanned(int planned) {
        this.planned = planned;
    }

    /**
     *
     * Getter burned.
     *
     * @return burned
     */
    public int getBurned() {
        return burned;
    }

    /**
     *
     * Setter burned.
     *
     * @param burned
     */
    public void setBurned(int burned) {
        this.burned = burned;
    }

    /**
     *
     * Getter remaining.
     *
     * @return remaining
     */
    public int getRemaining() {
        return remaining;
    }

    /**
     *
     * Setter remaining.
     *
     * @param remaining
     */
    public void setRemaining(int remaining) {
        this.remaining = remaining;
    }

    /**
     *
     * Getter ideal velocity.
     *
     * @return ideal velocity
     */
    public float getIdealVelocity() {
        return idealVelocity;
    }

    /**
     *
     * Setter ideal velocity.
     *
     * @param idealVelocity
     */
    public void setIdealVelocity(float idealVelocity) {
        this.idealVelocity = idealVelocity;
    }

    /**
     *
     * Getter real velocity.
     *
     * @return real velocity
     */
    public float getRealVelocity() {
        return realVelocity;
    }

    /**
     *
     * Setter real velocity.
     *
     * @param realVelocity
     */
    public void setRealVelocity(float realVelocity) {
        this.realVelocity = realVelocity;
    }
}
